WfTemplatesPresenter (gCube Workflow Templates Portlet 2.0.0-SNAPSHOT API)
Date: 2013-05-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.wftemplates.client.presenter
Class WfTemplatesPresenter

    java.lang.Object
      org.gcube.portlets.admin.wftemplates.client.presenter.WfTemplatesPresenter

All Implemented Interfaces:
  Presenter

    public class WfTemplatesPresenter

extends Object
implements Presenter

`WfTemplatesPresenter` class is the presenter component accorinding to the MVP model of this webapp

Version:
  May 2011 (0.1)
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it
See Also:
  `Presenter`

Nested Class Summary
`static interface` | `WfTemplatesPresenter.Display`

Constructor Summary
`WfTemplatesPresenter(WfTemplatesServiceAsync rpcService, com.google.gwt.event.shared.HandlerManager eventBus, WfTemplatesPresenter.Display display)`

Method Summary
`void` | `addNewStep(String label, String description)`
`void` | `addRolesOnConnection(com.orange.links.client.connection.Connection selectedEdge, ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails> roles)`
`void` | `bind()` method used to catch and consequently fire the events raised from the view controls
`void` | `doDeleteTemplate(org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate toDelete)`
`void` | `doRemoveConnectionFromModel(com.orange.links.client.connection.Connection selected)` remove the connection from the model
`void` | `doRemoveConnectionFromView(com.orange.links.client.connection.Connection selected)`
`void` | `doRemoveStep(WfStep step)` remove the connections attached to the step from the model
`void` | `doSaveTemplate(String templateName)` called when saving the template, send the template to the service
`void` | `go(com.google.gwt.user.client.ui.HasWidgets container)` go method, executed at the beginning

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WfTemplatesPresenter

    public WfTemplatesPresenter(WfTemplatesServiceAsync rpcService,
                                com.google.gwt.event.shared.HandlerManager eventBus,
                                WfTemplatesPresenter.Display display)

Parameters:
  `rpcService` - .
  `eventBus` - .
  `display` - .

Method Detail

### bind

    public void bind()

  method used to catch and consequently fire the events raised from the view controls

### go

    public void go(com.google.gwt.user.client.ui.HasWidgets container)

  go method, executed at the beginning

  Specified by:
    `go` in interface `Presenter`

### addRolesOnConnection

    public void addRolesOnConnection(com.orange.links.client.connection.Connection selectedEdge,
                                     ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails> roles)

  Specified by:
    `addRolesOnConnection` in interface `Presenter`

### addNewStep

    public void addNewStep(String label,
                           String description)

  Specified by:
    `addNewStep` in interface `Presenter`

### doSaveTemplate

    public void doSaveTemplate(String templateName)

  called when saving the template, send the template to the service

  Specified by:
    `doSaveTemplate` in interface `Presenter`

### doRemoveConnectionFromModel

    public void doRemoveConnectionFromModel(com.orange.links.client.connection.Connection selected)

  remove the connection from the model

  Specified by:
    `doRemoveConnectionFromModel` in interface `Presenter`

### doRemoveStep

    public void doRemoveStep(WfStep step)

  remove the connections attached to the step from the model

  Specified by:
    `doRemoveStep` in interface `Presenter`

### doRemoveConnectionFromView

    public void doRemoveConnectionFromView(com.orange.links.client.connection.Connection selected)

  Specified by:
    `doRemoveConnectionFromView` in interface `Presenter`

### doDeleteTemplate

    public void doDeleteTemplate(org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate toDelete)

  Specified by:
    `doDeleteTemplate` in interface `Presenter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.